<?php

namespace App\Repositories\Interfaces;

interface CategoryRepositoryInterface
{
    public function get($id, $columns = array('*'));

    public function all($columns = array('*'));

    public function paginate($param = [], $perPage = 15, $columns = array('*'));

    public function save(array $data);

    public function update(array $data, $id);

    public function getByColumn($column, $value);

    public function getByMultiColumn(array $where, $columnsSelected = array('*'));

    public function getListByColumn($column, $value, $columnsSelected = array('*'));

    public function getListByMultiColumn(array $where, $columnsSelected = array('*'));

    public function delete($id);

    public function deleteMulti(array $data);

    public function filter($param = []);

    public function getByTags($tags);

}
